Show / Hide Table of Contents

# Class AetheryteList

This collection represents the list of available Aetherytes in the Teleport window.

##### Inheritance

System.Object
AetheryteList

##### Implements

System.Collections.Generic.IReadOnlyCollection<AetheryteEntry>
System.Collections.Generic.IEnumerable<AetheryteEntry>
System.Collections.IEnumerable

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.ClientState.Aetherytes

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class AetheryteList : IReadOnlyCollection<AetheryteEntry>, IEnumerable<AetheryteEntry>, IEnumerable

### Properties

| Improve this Doc View Source

#### Count

##### Declaration

    public int Count { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Item[Int32]

Gets a Aetheryte Entry at the specified index.

##### Declaration

    public AetheryteEntry this[int index] { get; }

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index | Index.

##### Property Value

Type | Description
--- | ---
AetheryteEntry | A AetheryteEntry at the specified index.

| Improve this Doc View Source

#### Length

Gets the amount of Aetherytes the local player has unlocked.

##### Declaration

    public int Length { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

### Methods

| Improve this Doc View Source

#### GetEnumerator()

##### Declaration

    public IEnumerator<AetheryteEntry> GetEnumerator()

##### Returns

Type | Description
--- | ---
System.Collections.Generic.IEnumerator<AetheryteEntry> |

### Explicit Interface Implementations

| Improve this Doc View Source

#### IEnumerable.GetEnumerator()

##### Declaration

    IEnumerator IEnumerable.GetEnumerator()

##### Returns

Type | Description
--- | ---
System.Collections.IEnumerator |

### Implements

System.Collections.Generic.IReadOnlyCollection<T>
System.Collections.Generic.IEnumerable<T>
System.Collections.IEnumerable